java.security.interfaces

## Interface ECPublicKey

- All Superinterfaces:
    ECKey, Key, PublicKey, Serializable

      public interface ECPublicKey
      extends PublicKey, ECKey

  The interface to an elliptic curve (EC) public key.
  Since:
    1.5
  See Also:
    `PublicKey`, `ECKey`, `ECPoint`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ECPoint` | `getW()` Returns the public point W.

    - ### Methods inherited from interface java.security.Key

      `getAlgorithm, getEncoded, getFormat`

    - ### Methods inherited from interface java.security.interfaces.ECKey

      `getParams`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      The class fingerprint that is set to indicate serialization compatibility.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getW

          ECPoint getW()

      Returns the public point W.
      Returns:
        the public point W.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.